From 65988b4371e7decde6ec4e0895e151c3e61f38e2 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Thu, 12 Apr 2012 19:29:32 +0300
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/README.source                               |   31 --------------------
 debian/changelog                                   |   12 ++++++++
 debian/compat                                      |    2 +-
 debian/control                                     |    6 ++--
 debian/copyright                                   |    4 +--
 debian/patches/00list                              |    6 ----
 ...pell_dirname.dpatch => 01-ispell-dirname.patch} |   10 ++-----
 ...browsers.dpatch => 02-additionalbrowsers.patch} |   10 ++-----
 .../{03_best_match.dpatch => 03-best-match.patch}  |   12 +++-----
 ...4_aspell_quote.dpatch => 04-aspell-quote.patch} |   10 ++-----
 .../{05_manpage.dpatch => 05-manpage.patch}        |    8 ++---
 ...{07_8bit_aspell.dpatch => 07-8bit-aspell.patch} |   10 ++-----
 debian/patches/series                              |    6 ++++
 debian/rules                                       |   13 ++++----
 debian/source/format                               |    2 +-
 15 files changed, 51 insertions(+), 91 deletions(-)
 delete mode 100644 debian/README.source
 mode change 100644 => 100755 debian/conv.pl
 delete mode 100644 debian/patches/00list
 rename debian/patches/{01_ispell_dirname.dpatch => 01-ispell-dirname.patch} (72%)
 rename debian/patches/{02_additionalbrowsers.dpatch => 02-additionalbrowsers.patch} (77%)
 rename debian/patches/{03_best_match.dpatch => 03-best-match.patch} (60%)
 rename debian/patches/{04_aspell_quote.dpatch => 04-aspell-quote.patch} (64%)
 rename debian/patches/{05_manpage.dpatch => 05-manpage.patch} (82%)
 rename debian/patches/{07_8bit_aspell.dpatch => 07-8bit-aspell.patch} (56%)
 create mode 100644 debian/patches/series

diff --git a/debian/README.source b/debian/README.source
deleted file mode 100644
index 264b9b9..0000000
--- a/debian/README.source
+++ /dev/null
@@ -1,31 +0,0 @@
-This package uses dpatch to manage all modifications to the upstream
-source. Changes are stored in the source package as diffs in
-debian/patches and applied during the build.
-
-To get the fully patched source after unpacking the source package, cd
-to the root level of the source package and run:
-
-    debian/rules patch
-
-Removing a patch is as simple as removing its entry from the
-debian/patches/00list file, and please also remove the patch file
-itself.
-
-Creating a new patch is done with "dpatch-edit-patch patch XX_patchname"
-where you should replace XX with a new number and patchname with a
-descriptive shortname of the patch. You can then simply edit all the
-files your patch wants to edit, and then simply "exit 0" from the shell
-to actually create the patch file.
-
-To tweak an already existing patch, call "dpatch-edit-patch XX_patchname"
-and replace XX_patchname with the actual filename from debian/patches
-you want to use.
-
-To clean up afterwards again, "debian/rules unpatch" will do the
-work for you - or you can of course choose to call
-"fakeroot debian/rules clean" all together.
-
---- 
-
-original text by Gerfried Fuchs, edited by Junichi Uekawa <dancer@debian.org>
-10 Aug 2008.
diff --git a/debian/changelog b/debian/changelog
index d23001e..2def00a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,15 @@
+ding (1.7-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+  * Update to Standards-Version to 3.9.3 and debhelper to 9.
+  * Add build-arch and build-indep targets; use dh_prep in rules file.
+  * Fix copyright-refers-to-symlink-license (Lintian).
+  * Fix spelling-error-in-copyright (Lintian).
+  * Fix description-synopsis-starts-with-article (Lintian).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Thu, 12 Apr 2012 19:25:58 +0300
+
 ding (1.7-1) unstable; urgency=low
 
   * New upstream version 1.7.
diff --git a/debian/compat b/debian/compat
index 7ed6ff8..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-5
+9
diff --git a/debian/control b/debian/control
index 6c1756d..df6ab75 100644
--- a/debian/control
+++ b/debian/control
@@ -2,8 +2,8 @@ Source: ding
 Section: text
 Priority: optional
 Maintainer: Roland Rosenfeld <roland@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 5), dpatch
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: man-db, bsdmainutils, dictfmt (>= 1.10.1), dictzip
 Homepage: http://www-user.tu-chemnitz.de/~fri/ding/
 
@@ -35,7 +35,7 @@ Architecture: all
 Depends: ${misc:Depends}
 Provides: translation-dictionary
 Suggests: ding
-Description: A German-English translation dictionary
+Description: German-English translation dictionary
  A German-English dictionary with ca. 270,000 entries.
  .
  This dictionary was designed for the "ding" dictionary lookup
diff --git a/debian/conv.pl b/debian/conv.pl
old mode 100644
new mode 100755
diff --git a/debian/copyright b/debian/copyright
index bb9b457..553001c 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -10,7 +10,7 @@ Upstream Author: Frank Richter <Frank.Richter@hrz.tu-chemnitz.de>
 Copyright:
 
  Copyright (c) Frank Richter <frank.richter@hrz.tu-chemnitz.de> 1999 - 2010
- GNU public license
+ GNU General Public License
  Ding comes with ABSOLUTELY NO WARRANTY.
 
 This program is free software; you can redistribute it and/or modify it
@@ -27,5 +27,5 @@ You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software Foundation,
 Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
 
-See the GNU General Public License in /usr/share/common-licenses/GPL
+See the GNU General Public License in /usr/share/common-licenses/GPL-2
 for more details.
diff --git a/debian/patches/00list b/debian/patches/00list
deleted file mode 100644
index 05ff9dc..0000000
--- a/debian/patches/00list
+++ /dev/null
@@ -1,6 +0,0 @@
-01_ispell_dirname
-02_additionalbrowsers
-03_best_match
-04_aspell_quote
-05_manpage
-07_8bit_aspell
diff --git a/debian/patches/01_ispell_dirname.dpatch b/debian/patches/01-ispell-dirname.patch
similarity index 72%
rename from debian/patches/01_ispell_dirname.dpatch
rename to debian/patches/01-ispell-dirname.patch
index ff6b024..c544a20 100644
--- a/debian/patches/01_ispell_dirname.dpatch
+++ b/debian/patches/01-ispell-dirname.patch
@@ -1,11 +1,7 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 01_ispell_dirname.dpatch by Roland Rosenfeld <roland@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Change default ispell dictionaries from english to british and from
-## DP: german to ngerman
+From: Roland Rosenfeld <roland@debian.org>
+Subject: Change default ispell dictionaries from english to british and from
+ german to ngerman
 
-@DPATCH@
 diff -urNad '--exclude=CVS' '--exclude=.svn' ding~/ding ding/ding
 --- ding~/ding
 +++ ding/ding
diff --git a/debian/patches/02_additionalbrowsers.dpatch b/debian/patches/02-additionalbrowsers.patch
similarity index 77%
rename from debian/patches/02_additionalbrowsers.dpatch
rename to debian/patches/02-additionalbrowsers.patch
index 9efeeb7..237d278 100644
--- a/debian/patches/02_additionalbrowsers.dpatch
+++ b/debian/patches/02-additionalbrowsers.patch
@@ -1,11 +1,7 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 02_additionalbrowsers.dpatch by Roland Rosenfeld <roland@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Modify urlOpen() function to support additional browsers like
-## DP: light, skipstone, dillo, and chimera2
+From: Roland Rosenfeld <roland@debian.org>
+Subject: Modify urlOpen() function to support additional browsers like
+ light, skipstone, dillo, and chimera2
 
-@DPATCH@
 diff -urNad '--exclude=CVS' '--exclude=.svn' ding~/ding ding/ding
 --- ding~/ding
 +++ ding/ding
diff --git a/debian/patches/03_best_match.dpatch b/debian/patches/03-best-match.patch
similarity index 60%
rename from debian/patches/03_best_match.dpatch
rename to debian/patches/03-best-match.patch
index 8d9e47a..be30f11 100644
--- a/debian/patches/03_best_match.dpatch
+++ b/debian/patches/03-best-match.patch
@@ -1,12 +1,8 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 03_best_match.dpatch by Roland Rosenfeld <roland@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Use -w (complete words) option on agrep, when "best match" is enabled,
-## DP: too (upstream disables -w when "best match" is enabled, which seems to
-## DP: be a bad idea) (Closes: #127317).No description.
+From: Roland Rosenfeld <roland@debian.org>
+Subject: Use -w (complete words) option on agrep, when "best match" is enabled,
+ too (upstream disables -w when "best match" is enabled, which seems to
+ be a bad idea) (Closes: #127317).No description.
 
-@DPATCH@
 diff -urNad '--exclude=CVS' '--exclude=.svn' ding~/ding ding/ding
 --- ding~/ding
 +++ ding/ding
diff --git a/debian/patches/04_aspell_quote.dpatch b/debian/patches/04-aspell-quote.patch
similarity index 64%
rename from debian/patches/04_aspell_quote.dpatch
rename to debian/patches/04-aspell-quote.patch
index bdb28d2..51fc3b5 100644
--- a/debian/patches/04_aspell_quote.dpatch
+++ b/debian/patches/04-aspell-quote.patch
@@ -1,11 +1,7 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 04_aspell_quote.dpatch by Roland Rosenfeld <roland@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Fix quoting of [ia]spell input to make aspell work again
-## DP: (Closes: #299176).
+From: Roland Rosenfeld <roland@debian.org>
+Subject: Fix quoting of [ia]spell input to make aspell work again;
+ Closes: #299176
 
-@DPATCH@
 diff -urNad '--exclude=CVS' '--exclude=.svn' ding~/ding ding/ding
 --- ding~/ding
 +++ ding/ding
diff --git a/debian/patches/05_manpage.dpatch b/debian/patches/05-manpage.patch
similarity index 82%
rename from debian/patches/05_manpage.dpatch
rename to debian/patches/05-manpage.patch
index d64c4c9..64cb013 100644
--- a/debian/patches/05_manpage.dpatch
+++ b/debian/patches/05-manpage.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 05_manpage.dpatch by Roland Rosenfeld <roland@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Update man page to ding version 1.7
+From: Roland Rosenfeld <roland@debian.org>
+Subject: Update man page to ding version 1.7
 
-@DPATCH@
 diff -urNad '--exclude=CVS' '--exclude=.svn' ding~/ding.1 ding/ding.1
 --- ding~/ding.1
 +++ ding/ding.1
diff --git a/debian/patches/07_8bit_aspell.dpatch b/debian/patches/07-8bit-aspell.patch
similarity index 56%
rename from debian/patches/07_8bit_aspell.dpatch
rename to debian/patches/07-8bit-aspell.patch
index 4201dd1..e8bfc1f 100644
--- a/debian/patches/07_8bit_aspell.dpatch
+++ b/debian/patches/07-8bit-aspell.patch
@@ -1,11 +1,7 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 07_8bit_aspell.dpatch by Roland Rosenfeld <roland@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Do not replace Umlauts by a" etc. for aspell, but only for ispell,
-## DP: because aspell needs 8bit chars (Closes: #359243).
+From: Roland Rosenfeld <roland@debian.org>
+Subject: Do not replace Umlauts by a" etc. for aspell, but only for ispell,
+ because aspell needs 8bit chars (Closes: #359243).
 
-@DPATCH@
 diff -urNad '--exclude=CVS' '--exclude=.svn' ding~/ding ding/ding
 --- ding~/ding
 +++ ding/ding
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..81b7c4e
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,6 @@
+01-ispell-dirname.patch
+02-additionalbrowsers.patch
+03-best-match.patch
+04-aspell-quote.patch
+05-manpage.patch
+07-8bit-aspell.patch
diff --git a/debian/rules b/debian/rules
index d81df87..0318235 100755
--- a/debian/rules
+++ b/debian/rules
@@ -14,10 +14,13 @@ TRANSDIR=`pwd`/debian/trans-de-en
 DICTDIR=`pwd`/debian/dict-de-en
 
 # Include dpatch stuff.
-include /usr/share/dpatch/dpatch.make
+
+
+build-arch: build
+build-indep: build
 
 build: build-stamp
-build-stamp: patch-stamp
+build-stamp:
 	dh_testdir
 
 #       Build dictionaries for dictd daemon
@@ -37,7 +40,7 @@ build-stamp: patch-stamp
 
 	touch build-stamp
 
-clean: clean1 unpatch
+clean: clean1
 clean1:
 	dh_testdir
 	dh_testroot
@@ -50,7 +53,7 @@ clean1:
 install: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	sed -e 's#/usr/share/dict/de-en.txt#/usr/share/trans/de-en#' ding \
@@ -125,5 +128,5 @@ binary-arch: build-stamp install
 
 binary: binary-indep binary-arch
 
-.PHONY: build clean binary-indep binary-arch binary install patch unpatch \
+.PHONY: build clean binary-indep binary-arch binary install \
 	clean1
diff --git a/debian/source/format b/debian/source/format
index d3827e7..163aaf8 100644
--- a/debian/source/format
+++ b/debian/source/format
@@ -1 +1 @@
-1.0
+3.0 (quilt)
-- 
1.7.9.5

